package kr.co.jinwoosi.clfd.framework.util;

import java.util.List;
import java.util.Map;

import kr.co.jinwoosi.clfd.conts.bod.model.Bod;
import kr.co.jinwoosi.clfd.conts.menu.model.Menu;
import kr.co.jinwoosi.clfd.conts.site.model.Site;
import kr.co.jinwoosi.clfd.framework.cd.model.CdDtl;

public class ApplicationHelper {
	
	private static List<Site> siteList;
	private static Map<Long, List<Menu>> cmsMenuMap;
	private static List<Bod> bodList;
	private static Map<String, List<CdDtl>> cdDtlMap;
	private static Map<String, List<kr.co.jinwoosi.clfd.framework.menu.model.Menu>> menuMap;
	private static List<kr.co.jinwoosi.clfd.framework.menu.model.Menu> menuList;

	public static List<Bod> getBodList() {
		return bodList;
	}

	public static void setBodList(List<Bod> bodList) {
		ApplicationHelper.bodList = bodList;
	}

	public static Map<String, List<CdDtl>> getCdDtlMap() {
		return cdDtlMap;
	}

	public static void setCdDtlMap(Map<String, List<CdDtl>> cdDtlMap) {
		ApplicationHelper.cdDtlMap = cdDtlMap;
	}

	public static List<kr.co.jinwoosi.clfd.framework.menu.model.Menu> getMenuList() {
		return menuList;
	}

	public static void setMenuList(List<kr.co.jinwoosi.clfd.framework.menu.model.Menu> menuList) {
		ApplicationHelper.menuList = menuList;
	}

	public static List<Site> getSiteList() {
		return siteList;
	}

	public static void setSiteList(List<Site> siteList) {
		ApplicationHelper.siteList = siteList;
	}

	public static Map<String, List<kr.co.jinwoosi.clfd.framework.menu.model.Menu>> getMenuMap() {
		return menuMap;
	}

	public static void setMenuMap(Map<String, List<kr.co.jinwoosi.clfd.framework.menu.model.Menu>> menuMap) {
		ApplicationHelper.menuMap = menuMap;
	}

	public static Map<Long, List<Menu>> getCmsMenuMap() {
		return cmsMenuMap;
	}

	public static void setCmsMenuMap(Map<Long, List<Menu>> cmsMenuMap) {
		ApplicationHelper.cmsMenuMap = cmsMenuMap;
	}
	
}
